Name | Type | Default |
buttonsPosition
|
enum:SliderButtonsPosition
|
both
|
enum SliderButtonsPosition { both, left, right } Sets or gets the buttonsPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [buttonsPosition]="'left'"> </jqxSlider> `}) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [disabled]="true"> </jqxSlider> `}) export class AppComponent {
|
height
|
String | Number
|
35
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent {
|
layout
|
enum:SliderLayout
|
"normal"
|
enum SliderLayout { normal, reverse } Sets or gets the layout property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [layout]="'reverse'"> </jqxSlider> `}) export class AppComponent {
|
mode
|
enum:SliderMode
|
default
|
enum SliderMode { default, fixed } Sets or gets the mode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [mode]="'fixed'"> </jqxSlider> `}) export class AppComponent {
|
minorTicksFrequency
|
Number
|
1
|
Sets or gets the minorTicksFrequency property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [minorTicksFrequency]="2"> </jqxSlider> `}) export class AppComponent {
|
minorTickSize
|
Number
|
4
|
Sets or gets the minorTickSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [minorTickSize]="4"> </jqxSlider> `}) export class AppComponent {
|
max
|
Number
|
10
|
Sets or gets the max property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent {
|
min
|
Number
|
0
|
Sets or gets the min property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent {
|
orientation
|
String
|
'horizontal'
|
Sets or gets the orientation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [orientation]="'vertical'"> </jqxSlider> `}) export class AppComponent {
|
rangeSlider
|
Boolean
|
false
|
Sets or gets the rangeSlider property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [rangeSlider]="true"> </jqxSlider> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [rtl]="true"> </jqxSlider> `}) export class AppComponent {
|
step
|
Number
|
1
|
Sets or gets the step property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent {
|
showTicks
|
Boolean
|
true
|
Sets or gets the showTicks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [showTicks]="false"> </jqxSlider> `}) export class AppComponent {
|
showMinorTicks
|
Boolean
|
false
|
Sets or gets the showMinorTicks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [showMinorTicks]="true"> </jqxSlider> `}) export class AppComponent {
|
showTickLabels
|
Boolean
|
false
|
Sets or gets the showTickLabels property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [showTickLabels]="true"> </jqxSlider> `}) export class AppComponent {
|
showButtons
|
Boolean
|
true
|
Sets or gets the showButtons property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [showButtons]="true"> </jqxSlider> `}) export class AppComponent {
|
showRange
|
Boolean
|
true
|
Sets or gets the showRange property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [showRange]="true"> </jqxSlider> `}) export class AppComponent {
|
template
|
enum:SliderTemplate
|
'default'
|
enum SliderTemplate { default, primary, success, warning, danger, info } Sets or gets the template property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [template]="'success'"> </jqxSlider> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [theme]="'energyblue'"> </jqxSlider> `}) export class AppComponent {
|
ticksPosition
|
enum:SliderTicksPosition
|
both
|
enum SliderTicksPosition { top, bottom, both } Sets or gets the ticksPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [ticksPosition]="'bottom'"> </jqxSlider> `}) export class AppComponent {
|
ticksFrequency
|
Number
|
2
|
Sets or gets the ticksFrequency property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [ticksFrequency]="1"> </jqxSlider> `}) export class AppComponent {
|
tickSize
|
Number
|
7
|
Sets or gets the tickSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [tickSize]="7"> </jqxSlider> `}) export class AppComponent {
|
tickLabelFormatFunction
|
(value: Any) => String
|
null
|
Sets or gets the tickLabelFormatFunction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [tickLabelFormatFunction]="tickLabelFormatFunction"> </jqxSlider> `}) export class AppComponent {
|
tooltip
|
Boolean
|
false
|
Sets or gets the tooltip property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [tooltip]="true"> </jqxSlider> `}) export class AppComponent {
|
tooltipHideDelay
|
Number
|
500
|
Sets or gets the tooltipHideDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [tooltipHideDelay]="2000"> </jqxSlider> `}) export class AppComponent {
|
tooltipPosition
|
enum:SliderTooltipPosition
|
"near"
|
enum SliderTooltipPosition { near, far } Sets or gets the tooltipPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [tooltipPosition]="'far'"> </jqxSlider> `}) export class AppComponent {
|
tooltipFormatFunction
|
(value: Any) => Any
|
null
|
Sets or gets the tooltipFormatFunction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [tooltipFormatFunction]="tooltipFormatFunction"> </jqxSlider> `}) export class AppComponent {
|
value
|
Any
|
0
|
Sets or gets the value property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [value]="5"> </jqxSlider> `}) export class AppComponent {
|
values
|
Array<Number>
|
[0, 10]
|
Sets or gets the values property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [values]='[5,15]'> </jqxSlider> `}) export class AppComponent {
|
width
|
String | Number
|
300
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5" [width]="300"> </jqxSlider> `}) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered when the value of the slider is changed.
Code examples
Bind to the change event of jqxSlider.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider(onChange)="Change($event)" [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent {
|
created
|
Event
|
|
This event is triggered when the jqxSlider is created.
Code examples
Bind to the created event of jqxSlider.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider(onCreated)="Created($event)" [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent { Created(event: any): void
|
slide
|
Event
|
|
This event is triggered when the user is dragging the sliders thumb.
Code examples
Bind to the slide event of jqxSlider.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider(onSlide)="Slide($event)" [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent {
|
slideStart
|
Event
|
|
This event is triggered when the user start dragging slider's thumb.
Code examples
Bind to the slideStart event of jqxSlider.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider(onSlideStart)="SlideStart($event)" [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent { SlideStart(event: any): void
|
slideEnd
|
Event
|
|
This event is triggered when the user have dragged the slider's thumb and drop it.
Code examples
Bind to the slideEnd event of jqxSlider.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider(onSlideEnd)="SlideEnd($event)" [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent { SlideEnd(event: any): void
|
|
Name | Return Type | Arguments |
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent;
|
decrementValue
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent; ngAfterViewInit(): void { this.mySlider.decrementValue();
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent;
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent;
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent;
|
getValue
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent; ngAfterViewInit(): void { let value = this.mySlider.getValue();
|
incrementValue
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent; ngAfterViewInit(): void { this.mySlider.incrementValue();
|
setValue
|
Void
|
index: Number | Number[]
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent; ngAfterViewInit(): void { this.mySlider.setValue(10);
|
val
|
String
|
value: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxSlider #mySlider [height]="60" [min]="0" [max]="255" [step]="25.5"> </jqxSlider> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'mySlider') mySlider: jqxSliderComponent; ngAfterViewInit(): void { let value = this.mySlider.val();
|

Name | Type | Default |
buttonsPosition
|
String
|
both
|
Sets or gets scroll buttons position.
Possible Values:
'both'
'left'
'right'
<template> <JqxSlider ref="mySlider" :height="100" :buttonsPosition="'left'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
disabled
|
Boolean
|
false
|
Sets or gets whether the slider is disabled.
<template> <JqxSlider ref="mySlider" :height="100" :disabled="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
height
|
Number | String
|
35
|
Sets or gets the slider's height.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
layout
|
String
|
"normal"
|
Sets or gets the slider's layout.
Possible Values:
'normal'
'reverse'-the slider is filled from right-to-left(horizontal slider) and from top-to-bottom(vertical slider)
<template> <JqxSlider ref="mySlider" :height="100" :layout="'reverse'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
mode
|
String
|
default
|
Sets or gets slider's mode.
Possible Values:
'default'- the slider's thumb can be dragged smoothly ( like a scrollbar )
'fixed'- the thumb is dragged with a 'step' specified by the 'step' property.
<template> <JqxSlider ref="mySlider" :height="100" :mode="'fixed'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
minorTicksFrequency
|
Number
|
1
|
Sets or gets slider's minor ticks frequency.
<template> <JqxSlider ref="mySlider" :height="100" :showMinorTicks="true" :minorTicksFrequency="1" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
minorTickSize
|
Number
|
4
|
Sets or gets slider's minor ticks size.
<template> <JqxSlider ref="mySlider" :height="100" :showMinorTicks="true" :minorTicksFrequency="1" :minorTickSize="10" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
max
|
Number
|
10
|
Sets or gets slider's maximum value.
<template> <JqxSlider ref="mySlider" :height="100" :max="30" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
min
|
Number
|
0
|
Sets or gets slider's minimum value.
<template> <JqxSlider ref="mySlider" :height="100" :min="5" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
orientation
|
String
|
'horizontal'
|
<template> <JqxSlider ref="mySlider" :height="100" :orientation="'vertical'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
rangeSlider
|
Boolean
|
false
|
Sets or gets whether the slider is displayed as a range slider and has 2 thumbs. This allows the user to select a range of values. By default, end-users can select only a single value.
<template> <JqxSlider ref="mySlider" :height="100" :rangeSlider="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxSlider ref="mySlider" :height="100" :rtl="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
step
|
Number
|
1
|
Sets or gets the slider's step when the user is using the keyboard arrows, slider increment and decrement buttons or the mouse wheel for changing the slider's value.
<template> <JqxSlider ref="mySlider" :height="100" :step="3" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
showTicks
|
Boolean
|
true
|
Sets or gets whether ticks will be shown.
<template> <JqxSlider ref="mySlider" :height="100" :showTicks="false" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
showMinorTicks
|
Boolean
|
false
|
Sets or gets whether minor ticks will be shown.
<template> <JqxSlider ref="mySlider" :height="100" :showMinorTicks="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
showTickLabels
|
Boolean
|
false
|
Sets or gets whether major tick labels will be shown.
<template> <JqxSlider ref="mySlider" :height="100" :showTickLabels="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
showButtons
|
Boolean
|
true
|
Sets or gets whether the scroll buttons will be shown.
<template> <JqxSlider ref="mySlider" :height="100" :showButtons="false" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
showRange
|
Boolean
|
true
|
Sets or gets whether the slider range background is displayed. This is the fill between the slider's left button and the slider's thumb to indicate the selected value. In range slider mode, the space between the handles is filled to indicate the selected values.
<template> <JqxSlider ref="mySlider" :height="100" :showRange="false" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
template
|
String
|
'default'
|
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
<template> <JqxSlider ref="mySlider" :height="100" :template="'success'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxSlider ref="mySlider" :height="100" :theme="'material'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
ticksPosition
|
String
|
both
|
Sets or gets slider's ticks position.
Possible Values:
'top'
'bottom'
'both'
<template> <JqxSlider ref="mySlider" :height="100" :ticksPosition="'bottom'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
ticksFrequency
|
Number
|
2
|
Sets or gets slider's major ticks frequency.
<template> <JqxSlider ref="mySlider" :height="100" :ticksFrequency="1" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
tickSize
|
Number
|
7
|
Sets or gets slider's major ticks size.
<template> <JqxSlider ref="mySlider" :height="100" :tickSize="10" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
tickLabelFormatFunction
|
Function
|
null
|
Sets or gets the major ticks labels formatting function.
<template> <JqxSlider ref="mySlider" :height="100" :tickLabelFormatFunction="tickLabelFormatFunction" :showTickLabels="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, methods: { tickLabelFormatFunction: function (value) {
|
tooltip
|
Boolean
|
false
|
Sets or gets whether the slider tooltip will be shown.
<template> <JqxSlider ref="mySlider" :height="100" :tooltip="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
tooltipHideDelay
|
Number
|
500
|
Sets or gets the tooltip's hide delay.
<template> <JqxSlider ref="mySlider" :height="100" :tooltip="true" :tooltipHideDelay="2000" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
tooltipPosition
|
String
|
"near"
|
Sets or gets the tooltip's position. Possible values: "near", "far"
<template> <JqxSlider ref="mySlider" :height="100" :tooltip="true" :tooltipPosition="'far'" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
tooltipFormatFunction
|
Function
|
null
|
Sets or gets the tooltip's tooltip formatting.
<template> <JqxSlider ref="mySlider" :height="100" :tooltipFormatFunction="tooltipFormatFunction" :tooltip="true" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, methods: { tooltipFormatFunction: function (value) { return value.toPrecision(2);
|
value
|
Number
|
0
|
Sets or gets slider's value. This poperty will be an object with the following structure { rangeStart: range_start, rangeEnd: range_end } if the slider is range slider otherwise it's going to be a number.
<template> <JqxSlider ref="mySlider" :height="100" :value="5" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
values
|
Array
|
[0, 10]
|
Sets or gets range slider's values.The 'rangeSlider' property should be set to true.
<template> <JqxSlider ref="mySlider" :height="100" :rangeSlider="true" :values=" [5,15] " /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
width
|
Number | String
|
300
|
Sets or gets the slider's width.
<template> <JqxSlider ref="mySlider" :height="100" :width="300" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue';
|
|
change
|
Event
|
|
This event is triggered when the value of the slider is changed.
Code examples
Bind to the change event of jqxSlider.
<template> <JqxSlider ref="mySlider" @change="onChange($event)" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, methods: { onChange: function (event) { alert( 'do something...');
|
slide
|
Event
|
|
This event is triggered when the user is dragging the sliders thumb.
Code examples
Bind to the slide event of jqxSlider.
<template> <JqxSlider ref="mySlider" @slide="onSlide($event)" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, methods: { onSlide: function (event) { alert( 'do something...');
|
slideStart
|
Event
|
|
This event is triggered when the user start dragging slider's thumb.
Code examples
Bind to the slideStart event of jqxSlider.
<template> <JqxSlider ref="mySlider" @slideStart="onSlideStart($event)" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, methods: { onSlideStart: function (event) { alert( 'do something...');
|
slideEnd
|
Event
|
|
This event is triggered when the user have dragged the slider's thumb and drop it.
Code examples
Bind to the slideEnd event of jqxSlider.
<template> <JqxSlider ref="mySlider" @slideEnd="onSlideEnd($event)" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, methods: { onSlideEnd: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { this.$refs.mySlider.destroy();
|
decrementValue
|
None
|
None
|
Decreases the jqxSlider's value with the value of the 'step' property.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { this.$refs.mySlider.value = 5; this.$refs.mySlider.decrementValue();
|
disable
|
None
|
None
|
Disabling the slider.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { this.$refs.mySlider.disable();
|
enable
|
None
|
None
|
Enables the slider.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { this.$refs.mySlider.disabled = true; this.$refs.mySlider.enable();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { this.$refs.mySlider.focus();
|
getValue
|
None
|
Number
|
Gets the slider's value. The returned value is a number or an object. If the Slider is a range slider, the method returns an object with the following fields: rangeStart - the range's start value and rangeEnd - the range's end value..
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { const value = this.$refs.mySlider.getValue();
|
incrementValue
|
None
|
None
|
Increases the jqxSlider's value with the value of the 'step' property.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { this.$refs.mySlider.incrementValue();
|
setValue
|
index
|
None
|
Sets the jqxSlider's value. When the slider is not in range slider mode, the required parameter for the value is a number which should be in the 'min' - 'max' range. Possible value types in range slider mode- array, object or two numbers.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { this.$refs.mySlider.setValue(5);
|
val
|
value
|
String
|
Sets or gets the value.
<template> <JqxSlider ref="mySlider" :height="100" /> </template>
<script> import JqxSlider from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxslider.vue'; export default { components: { JqxSlider }, mounted: function () { const value = this.$refs.mySlider.val();
|

Name | Type | Default |
buttonsPosition
|
SliderButtonsPosition
|
both
|
SliderButtonsPosition: "both" | "left" | "right"
Sets or gets scroll buttons position.
Possible Values:
'both'
'left'
'right'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} buttonsPosition={ 'left'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the slider is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
35
|
Sets or gets the slider's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
layout
|
SliderLayout
|
"normal"
|
SliderLayout: "normal" | "reverse"
Sets or gets the slider's layout.
Possible Values:
'normal'
'reverse'-the slider is filled from right-to-left(horizontal slider) and from top-to-bottom(vertical slider)
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} layout={ 'reverse'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
mode
|
SliderMode
|
default
|
SliderMode: "default" | "fixed"
Sets or gets slider's mode.
Possible Values:
'default'- the slider's thumb can be dragged smoothly ( like a scrollbar )
'fixed'- the thumb is dragged with a 'step' specified by the 'step' property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} mode={ 'fixed'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minorTicksFrequency
|
number
|
1
|
Sets or gets slider's minor ticks frequency.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} showMinorTicks={true} minorTicksFrequency={1} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minorTickSize
|
number
|
4
|
Sets or gets slider's minor ticks size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} showMinorTicks={true} minorTicksFrequency={1} minorTickSize={10} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
max
|
number
|
10
|
Sets or gets slider's maximum value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} max={30} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
min
|
number
|
0
|
Sets or gets slider's minimum value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} min={5} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
orientation
|
string
|
'horizontal'
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} orientation={ 'vertical'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rangeSlider
|
boolean
|
false
|
Sets or gets whether the slider is displayed as a range slider and has 2 thumbs. This allows the user to select a range of values. By default, end-users can select only a single value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} rangeSlider={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
step
|
number
|
1
|
Sets or gets the slider's step when the user is using the keyboard arrows, slider increment and decrement buttons or the mouse wheel for changing the slider's value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} step={3} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showTicks
|
boolean
|
true
|
Sets or gets whether ticks will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} showTicks={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showMinorTicks
|
boolean
|
false
|
Sets or gets whether minor ticks will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} showMinorTicks={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showTickLabels
|
boolean
|
false
|
Sets or gets whether major tick labels will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} showTickLabels={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showButtons
|
boolean
|
true
|
Sets or gets whether the scroll buttons will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} showButtons={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showRange
|
boolean
|
true
|
Sets or gets whether the slider range background is displayed. This is the fill between the slider's left button and the slider's thumb to indicate the selected value. In range slider mode, the space between the handles is filled to indicate the selected values.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} showRange={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
template
|
SliderTemplate
|
'default'
|
SliderTemplate: "default" | "primary" | "success" | "warning" | "danger" | "info"
Determines the template as an alternative of the default styles.
Possible Values:
'default' - the default template. The style depends only on the "theme" property value.
'primary' - dark blue style for extra visual weight.
'success' - green style for successful or positive action.
'warning' - orange style which indicates caution.
'danger' - red style which indicates a dangerous or negative action.
'info' - blue button, not tied to a semantic action or use.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} template={ 'success'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} theme={ 'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
ticksPosition
|
SliderTicksPosition
|
both
|
SliderTicksPosition: "top" | "bottom" | "both"
Sets or gets slider's ticks position.
Possible Values:
'top'
'bottom'
'both'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} ticksPosition={ 'bottom'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
ticksFrequency
|
number
|
2
|
Sets or gets slider's major ticks frequency.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} ticksFrequency={1} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tickSize
|
number
|
7
|
Sets or gets slider's major ticks size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} tickSize={10} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tickLabelFormatFunction
|
(value: SliderTickLabelFormatFunction['value']) => string
|
null
|
Interface SliderTickLabelFormatFunction { value?: number; }
Sets or gets the major ticks labels formatting function.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); constructor(props: {}) { super(props); this.state = { tickLabelFormatFunction: (value: number): any => { return value; } } } public render() { return ( <JqxSlider ref={this.mySlider} height={100} tickLabelFormatFunction={this.state.tickLabelFormatFunction} showTickLabels={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltip
|
boolean
|
false
|
Sets or gets whether the slider tooltip will be shown.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} tooltip={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltipHideDelay
|
number
|
500
|
Sets or gets the tooltip's hide delay.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} tooltip={true} tooltipHideDelay={2000} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltipPosition
|
SliderTooltipPosition
|
"near"
|
SliderTooltipPosition: "near" | "far"
Sets or gets the tooltip's position. Possible values: "near", "far"
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} tooltip={true} tooltipPosition={ 'far'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltipFormatFunction
|
(value: SliderTooltipFormatFunction['value']) => any
|
null
|
Interface SliderTooltipFormatFunction { value?: number; }
Sets or gets the tooltip's tooltip formatting.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); constructor(props: {}) { super(props); this.state = { tooltipFormatFunction: (value: number): any => { return value.toPrecision(2); } } } public render() { return ( <JqxSlider ref={this.mySlider} height={100} tooltipFormatFunction={this.state.tooltipFormatFunction} tooltip={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
value
|
any
|
0
|
Sets or gets slider's value. This poperty will be an object with the following structure { rangeStart: range_start, rangeEnd: range_end } if the slider is range slider otherwise it's going to be a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} value={5} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
values
|
Array<number>
|
[0, 10]
|
Sets or gets range slider's values.The 'rangeSlider' property should be set to true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} rangeSlider={true} values={[5,15]} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
number | string
|
300
|
Sets or gets the slider's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} height={100} width={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered when the value of the slider is changed.
Code examples
Bind to the change event of jqxSlider.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} onChange={this.onChange} height={100} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
slide
|
Event
|
|
This event is triggered when the user is dragging the sliders thumb.
Code examples
Bind to the slide event of jqxSlider.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} onSlide={this.onSlide} height={100} /> ); } private onSlide(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
slideStart
|
Event
|
|
This event is triggered when the user start dragging slider's thumb.
Code examples
Bind to the slideStart event of jqxSlider.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} onSlideStart={this.onSlideStart} height={100} /> ); } private onSlideStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
slideEnd
|
Event
|
|
This event is triggered when the user have dragged the slider's thumb and drop it.
Code examples
Bind to the slideEnd event of jqxSlider.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public render() { return ( <JqxSlider ref={this.mySlider} onSlideEnd={this.onSlideEnd} height={100} /> ); } private onSlideEnd(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.destroy(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
decrementValue
|
None
|
|
Decreases the jqxSlider's value with the value of the 'step' property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.decrementValue(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disabling the slider.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.disable(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
Enables the slider.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.enable(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.focus(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getValue
|
None
|
|
Gets the slider's value. The returned value is a number or an object. If the Slider is a range slider, the method returns an object with the following fields: rangeStart - the range's start value and rangeEnd - the range's end value..
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.getValue(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
incrementValue
|
None
|
|
Increases the jqxSlider's value with the value of the 'step' property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.incrementValue(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
setValue
|
index
|
|
Sets the jqxSlider's value. When the slider is not in range slider mode, the required parameter for the value is a number which should be in the 'min' - 'max' range. Possible value types in range slider mode- array, object or two numbers.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.setValue(5); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxSlider, { ISliderProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxslider'; class App extends React.PureComponent<{}, ISliderProps> { private mySlider = React.createRef<JqxSlider>(); public componentDidMount(): void { this.mySlider.current!.val(); } public render() { return ( <JqxSlider ref={this.mySlider} height={100} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|